- Retrieve a collection resource
- okta.governance.collections.read
- APP_ADMIN
Retrieves a collection resource with its details. Use the include query parameter to return additional properties such as resourceProfile, labels, and relatedApps.
The include query parameter returns additional properties in the response.
| Items Enum Value | Description |
|---|---|
| labels | Returns governance labels associated with the resource |
| relatedApps | Returns related apps for group and push group resources. Ignored for app resources. |
| resourceProfile | Returns the resource profile details (name, label, logo) for the resource. |
- https://subdomain.okta.comhttps://subdomain.okta.com/governance/api/v2/collections/{collectionId}/resources/{resourceId}
curl -i -X GET \
'https://subdomain.okta.com/governance/api/v2/collections/{collectionId}/resources/{resourceId}?include=labels'Response to a successful get resource collection operation
The ORN identifier for a collection resource (app, group, or push group).
See the supported-resources endpoint.
The unique resource ID for this resource (app, group, or push group). Use this identifier to reference the resource in collection-resource API calls, such as GET/PUT/DELETE /v2/collections/{collectionId}/resources/{resourceId}.
Links available on a resource within a resource collection
Server-resolved configuration details for this resource within the collection
Collection of entitlements with associated values for this app resource in the collection. This array is truncated to a backend-configured limit. To retrieve the full list of entitlements for this collection resource, use List all entitlements for a collection resource (also available as the entitlements link in _links).
List of push groups associated with an app collection resource
The governance labels associated with this resource. This array is truncated to a backend-configured limit. To retrieve the full set of labels for this resource, use List label resources filtered by this resource.
Response showing an app resource with entitlements
{ "resourceOrn": "orn:okta:idp:00o11edPwGqbUrsDm0g4:apps:salesforce:0oafxqCAJWWGELFTYASJ", "resourceId": "res789067asg6asdf7g", "resourceConfiguration": { "entitlementManagementEnabled": true, "type": "APPLICATION", "counts": { … } }, "entitlements": [ { … }, { … } ], "_links": { "resource": { … }, "entitlements": { … } } }